aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/get_skia_lkgr.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/get_skia_lkgr.sh')
-rwxr-xr-xtools/get_skia_lkgr.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/tools/get_skia_lkgr.sh b/tools/get_skia_lkgr.sh
new file mode 100755
index 0000000000..1c38dd5c45
--- /dev/null
+++ b/tools/get_skia_lkgr.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+# Copyright 2014 Google Inc.
+#
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+# Outputs the Last Known Good Revision of Skia.
+
+source gbash.sh || exit
+
+set -x -e
+
+# Retrieve last known good revision. (App-engine script is very flaky, so retry
+# 10 times.)
+LKGR=""
+for i in `seq 1 10`; do
+ LKGR=$(curl "http://skia-tree-status-staging.appspot.com/lkgr")
+ if [[ ${#LKGR} -gt 4 ]]; then
+ break
+ fi
+done
+[[ ${#LKGR} -gt 4 ]] || gbash::die "Unable to get Skia LKGR (got '${LKGR}')"
+echo "${LKGR}"